(** The AAXL parser module 

    Time-stamp: <modified the 05/06/2007 (at 12:10) by Erwan Jahier> 
    
    @author Erwan Jahier
*)


val parse_aadl : int -> string -> Aadl_ast.package list
(** [parse_aadl verbosity_level filename] parses the aaxl file
    [filename] and returns an AST. If [filename] does not contain
    a package, all its components are considered to be defined in a package
    named [filename] without its extension.
*)

(* exception Cycle of {{ Atom }} *)
  (** Raised in presence of an ill-formed recursion in the .aaxl file
  during parsing. *)

